%define short_name simple_gettext
%define version 0.1
%define rel     3
%define release %mkrel %{rel}

Name:		ocaml-simple_gettext
Version:	%{version}
Release: 	%{release}
Summary:	OCaml wrapper for the gettext library
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		Development/Other
BuildRequires:  ocaml
URL:		http://merd.net/pixel/ocaml-simple_gettext
BuildRoot:	%{_tmppath}/%{name}-root

%description
OCaml wrapper for the gettext library

%prep
%setup -q -n %{short_name}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std OCAMLFIND= STDLIB=%{_libdir}/ocaml/site-lib

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README docs
%{_bindir}/*
%{_libdir}/ocaml/site-lib/%{short_name}

%changelog
* Fri May  6 2005 Pixel <pixel@mandriva.com> 0.1-3mdk
- do have files in lib64 on x86_64

* Fri May  6 2005 Pixel <pixel@mandriva.com> 0.1-2mdk
- don't _libdir since it doesn't get to lib64 on x86_64
- %%mkrel

* Tue Nov  9 2004 Pixel <pixel@mandrakesoft.com> 0.1-1mdk
- initial release
